import javax.naming.*;
import java.rmi.*;
import javax.rmi.PortableRemoteObject;
import java.util.*;

public class HelloClient
{
	public static void main(String args[])
	{
		String message;

		try {
			// Obektreferenz ber Namensdienst besorgen
			Properties props = new Properties();
            props.put("java.naming.factory.initial",
                      "com.sun.jndi.cosnaming.CNCtxFactory");
            props.put("java.naming.provider.url",
                      "iiop://localhost:5555");
			Context ctx = new InitialContext(props);
			Hello obj = (Hello) 
				PortableRemoteObject.narrow(ctx.lookup("HelloWorld"),
											Hello.class);

			// Remote Methode aufrufen
			message = obj.sayHello("Roland");

			System.out.println(message);
		}
		catch (Exception e) {
			System.out.println("HelloClient: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

